com.sleepycat.persist.evolve

## Class EvolveInternal

- java.lang.Object
- - com.sleepycat.persist.evolve.EvolveInternal

    public class EvolveInternal
    extends java.lang.Object

Internal access class that should not be used by applications.

### Constructor Summary

Constructors
Constructor and Description
`EvolveInternal()`

### Method Summary

Methods
`static EvolveEvent` `newEvent()` Internal access method that should not be used by applications.
`static void` `updateEvent(EvolveEvent event, java.lang.String entityClassName, int nRead, int nConverted)` Internal access method that should not be used by applications.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EvolveInternal

    public EvolveInternal()

### Method Detail

#### newEvent

    public static EvolveEvent newEvent()

Internal access method that should not be used by applications.

#### updateEvent

    public static void updateEvent(EvolveEvent event,
                   java.lang.String entityClassName,
                   int nRead,
                   int nConverted)

Internal access method that should not be used by applications.